Difference between revisions of "Draft BSpline/cs"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
 
(8 intermediate revisions by 2 users not shown)
Line 1: Line 1:
{{GuiCommand/cs|Name=Draft BSpline|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Draft -> BSpline|Shortcut=B S|SeeAlso=[[Draft Wire|Drát]]}}
+
<languages/>
 +
{{Docnav|[[Draft_Dimension|Dimension]]|[[Draft_Point|Point]]|[[Draft_Module|Draft]]|IconL=Draft_Dimension.svg |IconC=Workbench_Draft.svg|IconR=Draft_Point.svg }}
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/cs|Name=Draft BSpline|Name/cs=Draft BSpline|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Draft BSpline|Shortcut=B S|SeeAlso=[[Draft Wire/cs|Drát]]}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Popis==
 
==Popis==
 
Nástroj B-křivka vytváří  [http://en.wikipedia.org/wiki/B-spline B-křivku] z několika bodů v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Přebírá [[Draft Linestyle/cs|tloušťku čáry a barvu]] předtím nastavenou v záložce nástrojů. Nástroj B-křivka se chová přesně stejně jako nástroj [[Draft Wire/cs|Drát]].
 
Nástroj B-křivka vytváří  [http://en.wikipedia.org/wiki/B-spline B-křivku] z několika bodů v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Přebírá [[Draft Linestyle/cs|tloušťku čáry a barvu]] předtím nastavenou v záložce nástrojů. Nástroj B-křivka se chová přesně stejně jako nástroj [[Draft Wire/cs|Drát]].
 +
</div>
 +
 +
The BSpline tool behaves like the [[Draft Wire]] tool, except that each of its segments is curved instead of being a straight line. Use [[Draft WireToBSpline]] to convert one to the other.
 +
 +
The BSpline tool specifies the exact points through which the curve will go; on the other hand the [[Draft BezCurve]] tool uses {{Emphasis|control points}} to define the direction of the curve. To create exact circular or elliptical curves, use [[Draft Arc]] and [[Draft Ellipse]].
  
 
[[Image:Draft_bspline_example.jpg|400px]]
 
[[Image:Draft_bspline_example.jpg|400px]]
 +
<div class="mw-translate-fuzzy">
 +
[[Image:Draft_bspline_example.jpg|400px]]
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Použití==
 
==Použití==
 
# Stiskněte tlačítko {{KEY|[[Image:Draft BSpline.png|16px]] [[Draft BSpline|B-křivka]]}} nebo klávesy {{KEY|B}} potom {{KEY|S}}
 
# Stiskněte tlačítko {{KEY|[[Image:Draft BSpline.png|16px]] [[Draft BSpline|B-křivka]]}} nebo klávesy {{KEY|B}} potom {{KEY|S}}
Line 11: Line 26:
 
# Klikněte na další bod ve 3D pohledu nebo zadejte jeho [[Draft_Coordinates|souřadnice]]
 
# Klikněte na další bod ve 3D pohledu nebo zadejte jeho [[Draft_Coordinates|souřadnice]]
 
# Stiskněte klávesu {{KEY|F}} nebo {{KEY|C}} nebo dvojklikněte na poslední bod pro ukončení nebo uzavření křivky. Je-li křivka uzavřena, bude zároveň i povrchem i když se jeví jako drátový model.
 
# Stiskněte klávesu {{KEY|F}} nebo {{KEY|C}} nebo dvojklikněte na poslední bod pro ukončení nebo uzavření křivky. Je-li křivka uzavřena, bude zároveň i povrchem i když se jeví jako drátový model.
 +
</div>
 +
 +
The spline can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.png|16px]] [[Draft Edit]]}} button. Then you can move the points to a new position, or click {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} or {{Button|[[Image:Draft_DelPoint.svg|16px]] [[Draft_DelPoint|remove point]]}} and then click on the wire to add or remove points.
  
 +
<div class="mw-translate-fuzzy">
 
==Volby==
 
==Volby==
 
* Stiskněte klávesu {{KEY|F}} nebo tlačítko {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Ukončení]]'''}} pro ukončení křivky bez jejího uzavření
 
* Stiskněte klávesu {{KEY|F}} nebo tlačítko {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Ukončení]]'''}} pro ukončení křivky bez jejího uzavření
Line 26: Line 45:
 
* Stiskněte klávesu {{KEY|ESC}} nebo tlačítko  {{KEY|'''Cancel'''}} pro ukončení aktuálního příkazu B-křivka.
 
* Stiskněte klávesu {{KEY|ESC}} nebo tlačítko  {{KEY|'''Cancel'''}} pro ukončení aktuálního příkazu B-křivka.
 
* B-křivky mohou v zobrazovacím módu "Jednoduché čáry" zobrazovat šrafovací vzory nastavením vlastnosti "Vzor" dole.
 
* B-křivky mohou v zobrazovacím módu "Jednoduché čáry" zobrazovat šrafovací vzory nastavením vlastnosti "Vzor" dole.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Vlastnosti==
 
==Vlastnosti==
 
* {{PropertyData|Uzavřená}}: Specifikuje zda je křivka uzavřená nebo ne
 
* {{PropertyData|Uzavřená}}: Specifikuje zda je křivka uzavřená nebo ne
Line 32: Line 53:
 
* {{PropertyView|Vzor}}: Specifikuje šrafovací vzor pro vyplnění drátu
 
* {{PropertyView|Vzor}}: Specifikuje šrafovací vzor pro vyplnění drátu
 
* {{PropertyView|Rozměr vzoru}}: Specifikuje rozměr šrafovacího vzoru
 
* {{PropertyView|Rozměr vzoru}}: Specifikuje rozměr šrafovacího vzoru
 +
</div>
 +
 +
A BSpline object shares most properties from a [[Draft Wire]], however, most properties only make sense for a Wire.
  
 +
=== Data ===
 +
* {{PropertyData|Closed}}: specifies if the spline is closed or not. If the spline is initially open, this value is {{FALSE}}; setting it to {{TRUE}} will draw a curve segment to close the spline. If the spline is initially closed, this value is {{TRUE}}; setting it to {{FALSE}} will remove the last curve segment, and make the spline open.
 +
* {{PropertyData|Make Face}}: specifies if the spline makes a face or not. If it is {{TRUE}} a face is created, otherwise only the perimeter is considered part of the object. This property only works if {{PropertyData|Closed}} is {{TRUE}}.
 +
:{{Emphasis|Note:}} do not set {{PropertyData|Make Face}} to {{TRUE}} if the spline intersects itself, as it won't create a proper face.
 +
* {{PropertyData|Parameterization}}: affects the shape of the BSpline.
 +
 +
=== View ===
 +
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the spline.
 +
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
 +
* {{PropertyView|End Arrow}}: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
 +
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of a closed spline. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
 +
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
 +
 +
<div class="mw-translate-fuzzy">
 
==Skriptování==
 
==Skriptování==
 
Nástroj B-křivka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
Nástroj B-křivka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 +
</div>
 +
 +
The BSpline tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 +
 +
{{Code|code=
 +
BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
 +
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
 +
}}
  
<syntaxhighlight>
+
<div class="mw-translate-fuzzy">
makeBSpline (pointslist,[closed],[placement])
 
</syntaxhighlight>
 
 
* Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).  
 
* Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).  
 
* Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.  
 
* Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.  
Line 44: Line 88:
 
* Místo seznamu bodů můžete vložit Drát (Part Wire) (lomená čára).  
 
* Místo seznamu bodů můžete vložit Drát (Part Wire) (lomená čára).  
 
* Vrací nově vytvořený objekt.
 
* Vrací nově vytvořený objekt.
 +
</div>
  
 
Příklad:
 
Příklad:
 +
{{Code|code=
 +
import FreeCAD, Draft
  
<syntaxhighlight>
+
p1 = FreeCAD.Vector(0, 0, 0)
import FreeCAD,Draft
+
p2 = FreeCAD.Vector(1000, 1000, 0)
p1 = FreeCAD.Vector(0,0,0)
+
p3 = FreeCAD.Vector(2000, 0, 0)
p2 = FreeCAD.Vector(1,1,0)
 
p3 = FreeCAD.Vector(2,0,0)
 
Draft.makeBSpline([p1,p2,p3],closed=True)
 
  
</syntaxhighlight>
+
BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
 +
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
 +
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
 +
}}
 +
 
 +
{{Docnav|[[Draft_Dimension|Dimension]]|[[Draft_Point|Point]]|[[Draft_Module|Draft]]|IconL=Draft_Dimension.svg |IconC=Workbench_Draft.svg|IconR=Draft_Point.svg }}
 +
 
 +
{{Draft Tools navi}}
 +
 
 +
{{Userdocnavi}}
 
{{clear}}
 
{{clear}}
<languages/>
 

Latest revision as of 20:54, 11 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg Draft BSpline

Umístění Menu
Draft → BSpline
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
B S
Představen ve verzi
-
Viz také
Drát


Popis

Nástroj B-křivka vytváří B-křivku z několika bodů v aktuální pracovní rovině. Přebírá tloušťku čáry a barvu předtím nastavenou v záložce nástrojů. Nástroj B-křivka se chová přesně stejně jako nástroj Drát.

The BSpline tool behaves like the Draft Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

The BSpline tool specifies the exact points through which the curve will go; on the other hand the Draft BezCurve tool uses control points to define the direction of the curve. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft bspline example.jpg

Draft bspline example.jpg

Použití

  1. Stiskněte tlačítko Draft BSpline.png B-křivka nebo klávesy B potom S
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo uzavření křivky. Je-li křivka uzavřena, bude zároveň i povrchem i když se jeví jako drátový model.

The spline can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.png Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Volby

  • Stiskněte klávesu F nebo tlačítko Draft FinishLine.png Ukončení pro ukončení křivky bez jejího uzavření
  • Stiskněte klávesu C nebo tlačítko Draft CloseLine.png Uzavření nebo klikněte na počáteční bod. Tím ukončíte zadávání, ale zároveň se doplní poslední segment křivky, který poslední bod spojí s počátečním bodem.
  • Stisknutím klávesy X, Y nebo Z po zadání bodu zajistíte, že následující bod bude ležet na dané ose.
  • Pro ruční zadávání souřadnic jednoduše zadávejte čísla a mezi každou komponentou X, Y a Z stiskněte ENTER.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj B-křivka bude po ukončení křivky restartován a připraven ke kreslení další křivky bez nutnosti znovu jej spouštět klikáním na tlačítko B-křivka.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesu W nebo stiskněte tlačítko Draft Wipe.png Smaž pro odstranění existujících segmentů a začněte křivku z posledního bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo k návratu na poslední bod.
  • Stiskněte klávesu I nebo tlačítko Filled aby se křivka po jejím uzavření zobrazovala jako plocha. To jednoduše nastavuje Pohled->Vlastnost Drát na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu B-křivka.
  • B-křivky mohou v zobrazovacím módu "Jednoduché čáry" zobrazovat šrafovací vzory nastavením vlastnosti "Vzor" dole.

Vlastnosti

  • DATAUzavřená: Specifikuje zda je křivka uzavřená nebo ne
  • VIEWKoncová šipka: Ukazuje sumbol šipky na koncovém bodě křivky, takže ten může být použit jako linka pro vysvělivku
  • VIEWVzor: Specifikuje šrafovací vzor pro vyplnění drátu
  • VIEWRozměr vzoru: Specifikuje rozměr šrafovacího vzoru

A BSpline object shares most properties from a Draft Wire, however, most properties only make sense for a Wire.

Data

  • DATAClosed: specifies if the spline is closed or not. If the spline is initially open, this value is False; setting it to True will draw a curve segment to close the spline. If the spline is initially closed, this value is True; setting it to False will remove the last curve segment, and make the spline open.
  • DATAMake Face: specifies if the spline makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the spline intersects itself, as it won't create a proper face.
  • DATAParameterization: affects the shape of the BSpline.

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the spline.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of a closed spline. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj B-křivka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The BSpline tool can be used in macros and from the Python console by using the following function:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).
  • Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.
  • Je-li face (plocha) True (a křivka je uzavřena), bude se křivka jevit jako vyplněná plocha.
  • Místo seznamu bodů můžete vložit Drát (Part Wire) (lomená čára).
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg